Package ietf.params.xml.ns.icalendar_2

# Class AttachPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.AttachPropType

public class AttachPropType extends BasePropertyType

Java class for AttachPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttachPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <choice>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}uri"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}binary"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `binary`
  `protected String`
  `uri`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBinary()`
  Gets the value of the binary property.
  `String`
  `getUri()`
  Gets the value of the uri property.
  `void`
  `setBinary(String value)`
  Sets the value of the binary property.
  `void`
  `setUri(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### uri

    protected String uri

  - ### binary

    protected String binary

- ## Constructor Details

  - ### AttachPropType

    public AttachPropType()

- ## Method Details

  - ### getUri

    public String getUri()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setUri

    public void setUri(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBinary

    public String getBinary()
    Gets the value of the binary property.
    Returns:
      possible object is `String`

  - ### setBinary

    public void setBinary(String value)
    Sets the value of the binary property.
    Parameters:
      `value` - allowed object is `String`